%global srcname PyWavelets

Name:		python-pywt
Version:	0.2.0
Release:	3%{?dist}
Summary:	Python wavelet transforms module

Group:		Development/Libraries
License:	MIT
URL:		http://pypi.python.org/pypi/PyWavelets/
Source0:	http://pypi.python.org/packages/source/P/%{srcname}/%{srcname}-%{version}.tar.bz2

BuildRequires:	python2-devel
BuildRequires:	Cython
Requires:	numpy


%description
PyWavelets is a Python wavelet transforms module that includes:
* 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
* 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
* 1D and 2D Wavelet Packet decomposition and reconstruction
* Computing Approximations of wavelet and scaling functions
* Over seventy built-in wavelet filters and support for custom wavelets
* Single and double precision calculations
* Results compatibility with Matlab Wavelet Toolbox (tm)

%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt THANKS.txt COPYING.txt CHANGES.txt
%{python_sitearch}/pywt*
%{python_sitearch}/PyWavelets*


%changelog
* Thu Nov 18 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.2.0-3
- Fix the naming issue again

* Wed Nov 17 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.2.0-2
- Fix the naming issue

* Tue Oct 20 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.2.0-1
- Initial Release
